Skip to main content
POST
/
v1
/
expense-reports
/
{reportId}
/
approve
Approve Expense Report
curl --request POST \
  --url https://api.spirii.com/reimbursement/v1/expense-reports/{reportId}/approve \
  --header 'Authorization: Bearer <token>'
{
  "companyName": "Example Company Inc.",
  "id": 42,
  "period": {
    "year": 2026,
    "monthIndex": 0
  },
  "totalAmountInCents": 123,
  "totalConsumptionInWattHours": 123,
  "currency": "EUR",
  "emailAddressList": [
    "manager1@email.com",
    "manager2@email.com"
  ],
  "invalidInformation": {
    "awaitingExpenseReportList": [
      123
    ],
    "companyCustomer": {
      "customerCrmId": "<string>",
      "name": "<string>",
      "invalidFields": [
        "<string>"
      ]
    },
    "supplierCustomer": {
      "customerCrmId": "<string>",
      "name": "<string>",
      "invalidFields": [
        "<string>"
      ]
    },
    "invalidBeneficiary": {
      "customerCrmId": "<string>",
      "expenseIds": [
        "<string>"
      ]
    },
    "kycNotPassed": true,
    "missingReimbursementRates": [
      {
        "locationId": 123,
        "locationName": "<string>",
        "cdrEndDates": [
          "2023-11-07T05:31:56Z"
        ]
      }
    ],
    "recipientList": [
      {
        "customerCrmId": "<string>",
        "name": "<string>",
        "invalidFields": [
          "<string>"
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization via a JWT bearer token.

Path Parameters

reportId
integer
required

Unique identifier of the Expense Report.

Example:

42

Response

Returns expense report data.

companyName
string
required

Name of the fleet company associated with this Expense Report.

Example:

"Example Company Inc."

id
integer
required

Unique identifier of the Expense Report.

Example:

42

period
object
required

Month of the most recent expense in the report.

status
enum<string>
required

Status of the Expense Report.

Available options:
Active,
Pending,
Approved,
FundsReceived
totalAmountInCents
number
required

Total reimbursable amount across all expenses, in the smallest currency unit (e.g. cents).

totalConsumptionInWattHours
number
required

Total energy consumed across all charging sessions in the report, in watt-hours.

currency
string | null

ISO 4217 currency code for the reimbursement amount.

Example:

"EUR"

emailAddressList
(string<email> | null)[]

Email addresses notified when the report is approved.

Example:
["manager1@email.com", "manager2@email.com"]
invalidInformation
object

Issues blocking approval of this Expense Report. When present, all flagged problems must be resolved before the report can be approved.